<template>
  <router-view v-slot="{ Component }">
    <transition name="fade" mode="out-in">
      <component :key="$route.path" :is="Component"/>
    </transition>
  </router-view>
</template>

<style>
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.2s ease;
}

.fade-enter-from,
.fade-leave-to {
  opacity: 0;
}
</style>